# PCFieldSplitSetFields

Sets the fields for one particular split in the field split preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFieldSplitSetFields(PC pc,PetscInt n, PetscInt *fields)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| n | - the number of fields in this split
| fields | - the fields in this split

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSetBlockSize()

Level:intermediate
Location: src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages